=== debian/changelog ===
postgis (2.4.2+dfsg-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use postgresql-all instead of postgresql-contrib-9.6 in tests/control.
    (closes: #883608)
  * Drop unused lintian overrides.
  * Bump Standards-Version to 4.1.2, no changes.

  [ Christoph Berg ]
  * Test all extensions, not just postgis.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Dec 2017 07:28:09 +0100

postgis (2.4.2+dfsg-2) unstable; urgency=medium

  * Disable SFCGAL support, FTBFS with CGAL 4.11. (see: #876521)
  * Add lintian overrides for spelling-error-in-binary false positives.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Nov 2017 21:14:37 +0100

postgis (2.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Strip trailing whitespace from changelog.
  * Drop deprecated autotools_dev helper.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Nov 2017 21:05:04 +0100

postgis (2.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop postgresql-contrib-10 from Recommends, no longer a separate package
    and provided by postgresql-10 now.
  * Skip tests on powerpc, not a release architecture.
  * Add lintian override for debian-watch-uses-insecure-uri.
  * Mark postgis-doc & -scripts package as Multi-Arch: foreign.
  * Update dh_autoreconf override to run autogen.sh instead of autoconf.
  * Update symbols for 2.4.1.
  * Drop license & copyright for autotools files.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Oct 2017 21:36:00 +0200

postgis (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Skip tests on s390x, has issues with rounding.
  * Bump Standards-Version to 4.1.1, no changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Sep 2017 10:49:27 +0200

postgis (2.4.0~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Sep 2017 09:11:26 +0200

postgis (2.4.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.0, changes: priority.
  * Update packaging for postgresql-10.
  * Update symbols for 2.4.0~rc2.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Sep 2017 22:32:29 +0200

postgis (2.4.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  [ Christoph Berg ]
  * debian/pgversions: Bump to 9.3+, 9.2 is no longer supported.
  * debian/control(.in): Bump GEOS build-dependency to 3.4.
  * Include program names in postgis and postgis-gui descriptions.
  * Clarify -scripts package description; the SQL files are also necessary for
    the initial installation.
  * debian/rules: Fix rdfind invocation to find SQL file duplicates properly.
  * Declare Conflicts: -2.3-scripts in -2.4-scripts.
    (closes: #875811)

  [ Bas Couwenberg ]
  * New upstream release candidate.
  * Update symbols for 2.4.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Sep 2017 22:00:13 +0200

postgis (2.4.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file, changes:
    - Update copyright years for copyright holders
    - Add new copyright holders
    - Add license & copyright for fuzzers sources
    - Add license & copyright for protobuf files
    - Add license & copyright for uthash.h
    - Change license shortname from MIT to Expat
  * Rename packages for new PostGIS minor version (2.3 -> 2.4).
  * Drop avoid-bashisms.patch, applied upstream.
  * Update symbols for 2.4.0~beta1.
  * Drop unused overrides for hardening-no-pie.
  * Add build dependencies for protobuf support.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Sep 2017 20:28:29 +0200
