## postgis 2.4.3%2Bdfsg

=== debian/changelog ===
postgis (2.4.3+dfsg-4) unstable; urgency=medium

  * Update watch file to use HTTPS.
  * Drop patch to fix FTBFS with proj 5.0.0, fixed in proj 5.0.0-rc4.
  * Build-Depend on postgresql-all in control.in too.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Feb 2018 22:47:48 +0100

postgis (2.4.3+dfsg-3) unstable; urgency=medium

  * Fix deprecated source override location.
  * Add patch to fix FTBFS with proj 5.0.0.
    (closes: #889981)
  * Strip trailing whitespace from changelog file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 17 Feb 2018 12:24:27 +0100

postgis (2.4.3+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Merge changes from Christoph Berg.

  [ Christoph Berg ]
  * Build-Depend on postgresql-all, we need server packages for testing.
  * Tests: Install fuzzystrmatch dependency explicitly, not all PostgreSQL
    versions feature CREATE EXTENSION CASCADE yet.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Jan 2018 16:41:25 +0100

postgis (2.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes.
  * Add patch for autotools-pkg-config-macro-not-cross-compilation-safe
    lintian issue.
  * Update copyright-format URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Jan 2018 15:23:39 +0100
