## postgis 2.4.3+dfsg

=== extensions/address_standardizer/Makefile ===
--- 
+++ 
@@ -28,16 +28,16 @@
 POSTGIS_PGSQL_VERSION=96
 # SQL preprocessor
 SQLPP = /usr/bin/cpp -traditional-cpp -w -P
-GREP=/usr/bin/grep
-PERL=/opt/local/bin/perl
-EXTVERSION    = 2.4.2
+GREP=/bin/grep
+PERL=/usr/bin/perl
+EXTVERSION    = 2.4.3
 MINORVERSION  = 2.4
 MODULE_big = address_standardizer-2.4
 EXTENSION = address_standardizer
 DATA = address_standardizer_data_us.control sql/$(EXTENSION).sql sql/$(EXTENSION)_data_us.sql
 
 all:  sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/address_standardizer--$(EXTVERSION).sql sql/address_standardizer--$(EXTVERSION)--$(EXTVERSION)next.sql sql/address_standardizer--$(EXTVERSION)next--$(EXTVERSION).sql \
- sql/$(EXTENSION)_data_us.sql sql/address_standardizer--2.4.2.sql sql/$(EXTENSION)_data_us--2.4.2.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
+ sql/$(EXTENSION)_data_us.sql sql/address_standardizer--2.4.3.sql sql/$(EXTENSION)_data_us--2.4.3.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
 sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql \
 sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql
 
@@ -46,20 +46,20 @@
 
 
 DOCS = README.address_standardizer
-PG_CPPFLAGS =  -I/usr/local/include  -I/opt/local/include -I/opt/local/include/libxml2     -g -O0
+PG_CPPFLAGS =  -I/var/lib/jenkins/workspace/geos/rel-3.6w64/include   -I/usr/include/libxml2 -I/usr/include -DHAVE_SFCGAL    -g -O0
 
-SHLIB_LINK =  -L/usr/local/lib  -lgeos_c -lproj  -L/opt/local/lib -lprotobuf-c -L/usr/lib -lxml2 -L/opt/local/lib -lz -L/opt/local/lib -llzma -lpthread -liconv -lm    -lpcre
+SHLIB_LINK =  -L/var/lib/jenkins/workspace/geos/rel-3.6w64/lib  -lgeos_c -lproj  -ljson-c -lprotobuf-c -lxml2 -L/usr/lib/x86_64-linux-gnu -lSFCGAL  -Wl,--exclude-libs,ALL -lpcre
 EXTRA_CLEAN = usps-st-city-name.txt mk-st-regexp mk-city-regex test_main
 REGRESS = test-init-extensions test-parseaddress test-standardize_address_1 test-standardize_address_2
 
 # PGXS information
-PG_CONFIG = /opt/pgsql/9.6/bin/pg_config
+PG_CONFIG = /var/lib/jenkins/workspace/pg/rel/pg9.6w64/bin/pg_config
 
 PGVER := $(shell $(PG_CONFIG) --version)
 
 
 # Set PERL _after_ the include of PGXS
-PERL=/opt/local/bin/perl
+PERL=/usr/bin/perl
 
 # Borrow the $libdir substitution from PGXS but customise by running the preprocessor
 # and adding the version number
@@ -68,7 +68,7 @@
 	$(SQLPP) -I../libpgcommon $< | grep -v '^#' | \
 	$(PERL) -lpe "s'MODULE_PATHNAME'\$$libdir/${EXTENSION}-${MINORVERSION}'g" > $@
 
-sql/address_standardizer--2.4.2.sql: sql/address_standardizer_types.sql \
+sql/address_standardizer--2.4.3.sql: sql/address_standardizer_types.sql \
     sql/address_standardizer_functions.sql
 	cat $^ > $@
 
@@ -169,6 +169,6 @@
 EXTRA_CLEAN += sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql
 EXTRA_CLEAN += sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql *.a *.so *.dll
 
-PGXS := /opt/pgsql/9.6/lib/pgxs/src/makefiles/pgxs.mk
+PGXS := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/lib/postgresql/pgxs/src/makefiles/pgxs.mk
 include $(PGXS)
-PERL = /opt/local/bin/perl
+PERL = /usr/bin/perl
