=== doc/po/de_DE/Makefile ===
DOCSUFFIX=-de_DE
include ../Makefile.local
