=== debian/control ===
--- 
+++ 
@@ -27,13 +27,13 @@
 #               libsfcgal-dev [!armel],
                libxml2-dev (>= 2.5.0~),
                po-debconf,
-               postgresql,
+               postgresql-all,
                postgresql-common (>= 148~),
                postgresql-server-dev-all,
                protobuf-c-compiler,
                rdfind,
                xsltproc
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/postgis.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/postgis.git
 Homepage: http://postgis.net/
